import type { CellProps, SanitizedCollectionConfig } from 'payload/types';
import type { ColumnPreferences } from '../../providers/ListInfo/types.d.ts';
import type { FieldMap } from '../../utilities/buildComponentMap/types.d.ts';
import type { Column } from '../Table/types.d.ts';
export declare const buildColumns: (args: {
    cellProps: Partial<CellProps>[];
    columnPreferences: ColumnPreferences;
    defaultColumns?: string[];
    enableRowSelections: boolean;
    fieldMap: FieldMap;
    useAsTitle: SanitizedCollectionConfig['admin']['useAsTitle'];
}) => Column[];
//# sourceMappingURL=buildColumns.d.ts.map